%define ver 2.20.1
%define rel 1

Summary: Python HTTP for Humans
Name: python-requests
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: ASLv2
Group: Development/Languages
URL: https://pypi.python.org/pypi/requests
Source0: https://pypi.python.org/packages/source/r/requests/requests-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python
BuildRequires: python-devel
BuildRequires: python-rpm-macros
BuildRequires: python-setuptools
BuildRequires: python3-devel
BuildRequires: python3-rpm-macros
BuildRequires: python3-setuptools
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.

%package -n python3-requests
Summary: Python HTTP for Humans
Group: Development/Languages
Requires: python3

%description -n python3-requests
Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.

%prep
%setup -qc -n requests-%{ver}
mv requests-%{ver} python2
cp -a python2 python3

%build
pushd python2
%py_build
popd
pushd python3
%py3_build
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd python2
%py_install
cp -f LICENSE README* HISTORY* ../
popd
pushd python3
%py3_install
popd

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%license LICENSE
%doc README* HISTORY*
%{python_sitelib}/requests
%{python_sitelib}/requests-%{version}-py*.egg-info

%files -n python3-requests
%defattr(-,root,root,-)
%license LICENSE
%doc README* HISTORY*
%{python3_sitelib}/requests
%{python3_sitelib}/requests-%{version}-py*.egg-info

%changelog
* Wed Nov 28 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.20.1-1
- new upstream release.
- add python2 support.

* Tue Jun 28 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5.1-2
- rebuild with python3-3.5.2

* Sun Mar 22 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 2.5.1-1
- Initial build.
